> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vitawallet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction

> This method allows you to obtain the information of an API transaction by VITA ID.



## OpenAPI

````yaml /openapi.yaml get /api/businesses/transactions/{id}
openapi: 3.0.0
info:
  title: Vita Business API
  description: >-
    Vita Wallet Business API — integra payins, payouts, exchange, transactions,
    users y webhooks para operar pagos en LatAm y el mundo.
  version: 1.0.0
  contact:
    name: Vita Wallet Support
    url: https://vitawallet.io
    email: empresas@vitawallet.io
servers:
  - url: https://api.vitawallet.io
    description: Production
  - url: https://api.stage.vitawallet.io
    description: Sandbox
security:
  - xLogin: []
    xTransKey: []
    xDate: []
    hmacSignature: []
tags:
  - name: Create Payin
  - name: Direct Payment
  - name: Exchange
  - name: Vita Sent
  - name: Bank Payouts
  - name: External Crypto Payouts
  - name: Transactions
  - name: Users Creation
  - name: User Information
  - name: Webhooks
externalDocs:
  url: https://vitawallet.io
  description: Vita Wallet
paths:
  /api/businesses/transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Get Transaction
      description: >-
        This method allows you to obtain the information of an API transaction
        by VITA ID.
      operationId: get-transaction
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
          description: Id from transaction
          example: xxx-xxxx-xxxx
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              example:
                transaction:
                  id: ba094b4b-bfcc-435d-339422894990-69301
                  type: business_transaction
                  attributes:
                    status: completed
                    currency: cop
                    currency_iso_code: cop
                    amount: 25185600
                    total: 25185600
                    fee_value: 0
                    total_fee: 0
                    created_at: '2026-09-02T17:15:01.865Z'
                    recipient_email: xxxxxxxxx@vitawallet.io
                    source: business
                    currency_received: cop
                    purpose_comentary: null
                    order: 1267888888
                    category: vita_sent
                    recipient_wallet:
                      uuid: null
                      token: master
                      created_at: '2025-04-30T13:28:43.882Z'
                      balances:
                        usdt: 0
                        usd: 13548.33
                        usdc: 0
                        cop: 25226556
                        ars: 10527
                        eur: 18.8
                        clp: 102178995
                        mxn: 1176.42
                      is_master: true
                    sender_wallet:
                      uuid: 6c53106f-e485-4b97-4efa26aac469
                      token: master
                      created_at: '2023-07-03T14:13:21.122Z'
                      balances:
                        clp: 195343
                        usdc: 85
                        usdt: 1125.7
                        usd: 650.98
                        bob: 0
                        btc: 0
                        ars: 925960
                        cop: 24814400
                        brl: 893401.75
                      is_master: true
                    included: null
                    vita_transaction_id: ba094b4b-bfcc-435d-339422894990-69301
                    tracking_url: >-
                      https://tracking.stage.vitawallet.io/seguimiento-de-operaciones/Dwt6v5ts
                    funding_source: null
                    statuses:
                      - status: completed
                        created_at: '2026-09-02T17:15:01.907Z'
                        transaction_operation_type: updated
                      - status: started
                        created_at: '2026-09-02T17:15:01.883Z'
                        transaction_operation_type: created
                    provider_secondary_reference: null
components:
  securitySchemes:
    xLogin:
      type: apiKey
      in: header
      name: x-login
      description: Business xLogin
    xTransKey:
      type: apiKey
      in: header
      name: x-trans-key
      description: Business xTransKey
    xDate:
      type: apiKey
      in: header
      name: x-date
      description: ISO8601 datetime
    hmacSignature:
      type: apiKey
      in: header
      name: Authorization
      description: 'V2-HMAC-SHA256 signature. Example: `V2-HMAC-SHA256, Signature: <hash>`'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.